%define name gconfpref
%define version 0.0.1
%define release %mkrel 8

Name: %name
Summary: Another configuration tools for gconf
Version: %{version}
Release: %{release}
License: GPL
Url: http://www.angelfire.com/linux/dbrody/gconfpref.html
Group: Graphical desktop/GNOME
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/build-root-%{name}

BuildRequires: automake >= 1.4
Buildrequires: libgnome2-devel >= 2.0
Buildrequires: libgnomeui2-devel >= 2.0
Buildrequires: libatk-devel >= 1.0
Buildrequires: libpango-devel >= 1.0
Buildrequires: libgnomecanvas2-devel >= 2.0
Buildrequires: libGConf2-devel >= 2.0
Buildrequires: gnome-vfs2-devel >= 2.0

%description
Gconfpref is a user friendly gconf editor.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%setup -q

%build
%configure

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gconfpref
Comment=Edit your gnome preferences
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;X-MandrivaLinux-System-Configuration-GNOME;
EOF

%find_lang %name --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root,0755)
%{_bindir}/*
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-8mdv2011.0
+ Revision: 618430
- the mass rebuild of 2010.0 packages

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.0.1-7mdv2010.0
+ Revision: 433751
- rebuild
- fix BR
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.0.1-5mdv2009.0
+ Revision: 245776
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.0.1-3mdv2008.1
+ Revision: 136428
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 16:53:36 (53543)
- %%mkrel
- fix buildrequires
- xdg menu

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 16:42:51 (53535)
Import gconfpref

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.1-2mdk
- Fix menu entry

